using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a fallen cloud" )]
	public class GasCloud : BaseCreature
	{
		[Constructable]
		public GasCloud () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a gas cloud";
			Body = 361;
			BaseSoundID = 263;

			SetStr( 226, 215 );
			SetDex( 86, 95 );
			SetInt( 161, 235 );

			SetHits( 156, 109 );

			SetDamage( 8, 13 );

			SetSkill( SkillName.Concentration, 60.1, 75.0 );
			SetSkill( SkillName.Magery, 60.1, 75.0 );
			SetSkill( SkillName.Meditation, 60.2, 100.0 );
			SetSkill( SkillName.Poisoning, 70.1, 80.0 );
			SetSkill( SkillName.MagicResist, 65.2, 95.0 );
			SetSkill( SkillName.Tactics, 60.1, 80.0 );
			SetSkill( SkillName.HandToHand, 50.1, 70.0 );

			Fame = 8500;
			Karma = -8500;

			VirtualArmor = 40;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.LowScrolls );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Greater; } }
		public override double HitPoisonChance{ get{ return 0.50; } }

		public GasCloud( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}